package cn.com.poc.ai_dialogues.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_dialogues.entity.BizAiDialoguesEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAiDialoguesService extends BaseService {

    /**
     * 创建对话
     *
     * @param userId
     * @return
     */
    String create(String type, Long userId);

    String create(String type, String fileUrl, Long userId);

    BizAiDialoguesEntity get(java.lang.Long id) throws Exception;

    List<BizAiDialoguesEntity> findByExample(BizAiDialoguesEntity example, PagingInfo pagingInfo) throws Exception;

    BizAiDialoguesEntity save(BizAiDialoguesEntity entity) throws Exception;

    BizAiDialoguesEntity update(BizAiDialoguesEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

}